Subject: Re: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: martin rudalics <[email-masked]>
Date: Sun, 30 Nov 2008 23:50:45 +0100

>>  > But who said anything about redisplay/redraw?  What it needs to
>>  > wait for is the notification from the window system or toolkit
>>  > that the resize request was carried out.
>>
>> The WM_WINDOWPOSCHANGED message is sent after the window is shown
>> (redisplayed, redrawn, ...).
>>
> How this? Say if I click the "maximise" button, you think that
> emacs first redraws itself and later then sets the new row/col
> count?

I don't.  But how does this relate to what I said above?  It's
one thing what Emacs does by itself and another thing what it's
asked to do.

martin